Index: LMDZ.3.3/branches/rel-1-0-patch/makegcm
===================================================================
--- LMDZ.3.3/branches/LF/makegcm	(revision 3)
+++ LMDZ.3.3/branches/rel-1-0-patch/makegcm	(revision 253)
@@ -1,8 +1,9 @@
 #!/bin/csh
+# $Header$
 #set verbose echo
 ########################################################################
 # options par defaut pour la commande make
 ########################################################################
-set dim="48x32x19"
+set dim="72x45x19"
 set physique=lmd
 set phys="PHYS=$physique"
@@ -18,33 +19,64 @@
 # set LMDGCM=$HOME/LMDZ.3.3
 #
-#   a changer  rlmd304/agcm
-#
-###### VERSION LMDZ.3.2
-
-if ( ! $?LMDGCM ) then
-   echo You must initialize the variable LMDGCM in your environnement
-   echo for instance: "setenv LMDGCM /usr/myself/supergcm" in .cshrc
-   exit
-endif
-if ( ! $?LIBOGCM ) then
-   set LIBOGCM=$LMDGCM/libo
-endif
-if ( ! $?IOIPSLDIR ) then
-   echo You must initialize the variable IOIPSLDIR in your environnement
-   echo for instance: "setenv IOIPSLDIR /usr/myself/ioipsl" in .cshrc
-   exit
-endif
-if ( ! $?NCDFLIB ) then
-   echo You must initialize the variable NCDFLIB in your environnement
-   echo for instance: "setenv NCDFLIB /usr/myself/netcdf" in .cshrc
-   exit
-endif
-if ( ! $?NCDFINC ) then
-   echo You must initialize the variable NCDFINC in your environnement
-   echo for instance: "setenv NCDFINC /usr/myself/netcdf" in .cshrc
-   exit
+
+setenv localdir "`pwd`"
+set MODIPSL=0
+echo $localdir | grep modipsl >& /dev/null
+if ( ! $status ) then
+  set MODIPSL=1
+  setenv LMDGCM $localdir
+  cd ../..
+  setenv LIBOGCM "`pwd`/lib"
+  setenv IOIPSLDIR $LIBOGCM
+  cd $localdir
+  if ( `hostname` == rhodes ) then
+    set NCDFINC=`grep sxnec ../../util/AA_make.gdef| grep NCDF_INC|sed -e "s/^.* =//"`
+    set NCDFLIB=`grep sxnec ../../util/AA_make.gdef| grep NCDF_LIB|sed -e 's/^.* =//'`
+  else
+    if ( `hostname` == nymphea0 ) then
+      set NCDFINC=`grep fjvpp ../../util/AA_make.gdef| grep NCDF_INC|sed -e "s/^.* =//"`
+      set NCDFLIB=`grep fjvpp ../../util/AA_make.gdef| grep NCDF_LIB|sed -e 's/^.* =//'`
+    else
+      echo 'Probleme de definition des variables NCDFINC et NCDFLIB'
+    endif 
+  endif 
+  \cp libf/phylmd/oasis.F libf/phylmd/oasis.dummy
+  \cp libf/phylmd/oasis.true libf/phylmd/oasis.F
+else
+  if ( ! $?LMDGCM ) then
+    echo You must initialize the variable LMDGCM in your environnement
+    echo for instance: "setenv LMDGCM /usr/myself/supergcm" in .cshrc
+    exit
+  endif
+  if ( ! $?LIBOGCM ) then
+    set LIBOGCM=$LMDGCM/libo
+  endif
+  if ( ! $?IOIPSLDIR ) then
+    echo You must initialize the variable IOIPSLDIR in your environnement
+    echo for instance: "setenv IOIPSLDIR /usr/myself/ioipsl" in .cshrc
+    exit
+  endif
+  if ( ! $?NCDFLIB ) then
+    echo You must initialize the variable NCDFLIB in your environnement
+    echo for instance: "setenv NCDFLIB /usr/myself/netcdf" in .cshrc
+    exit
+  endif
+  if ( ! $?NCDFINC ) then
+    echo You must initialize the variable NCDFINC in your environnement
+    echo for instance: "setenv NCDFINC /usr/myself/netcdf" in .cshrc
+    exit
+  endif
 endif
 set model=$LMDGCM
 set libo=$LIBOGCM
+
+#Force/couple
+set COUPLE=0
+set ocean=`grep '^      parameter (ocean' libf/phylmd/physiq.F | awk -F\' '{print $2}'`
+banner $ocean
+if ($ocean == couple) then
+  set COUPLE=1
+endif
+
 
 ########################################################################
@@ -60,4 +92,5 @@
 set LINUX=0
 set NEC=0
+set XNEC=0
 if ( `uname` == HP-UX ) then
    set machine=HP
@@ -81,7 +114,10 @@
    set machine=CRAY
    set CRAY=1
-else if ( `hostname` == rhodes ) then
+else if ( `uname` == SUPER-UX ) then
    set machine=NEC
    set NEC=1
+else if ( `hostname` == rhodes) then
+   set machine=XNEC
+   set XNEC=1
 else
    echo Vous travaillez sur une machine non prevue par le reglement
@@ -120,5 +156,5 @@
 set libf=$model/libf
 #setenv localdir "LOCAL_DIR=`pwd`"
-setenv localdir "`pwd`"
+#setenv localdir "`pwd`"
 cd $model
 if $CRAY then
@@ -134,4 +170,5 @@
    set optimbis=" "
    set optim90=" -fast -fixed "
+   set optimtru90=" -fast -free"
    set opt_link="-lf77compat -L$IOIPSLDIR -lioipsl  -L$NCDFLIB -lnetcdf"
    set mod_loc_dir=$localdir
@@ -144,11 +181,15 @@
    set optimbis=" "
 else if $VPP then
-   set optim=" -Ad -Of -Wv,-Of,-ilfunc"
-   set optimbis=" -Psia -Aa -Wv,-m3 -Wp,-DVPP,-DNC_DOUBLE -Z $LMDGCM/listage"
-   set optim=" -Of -Wv,-Of,-ilfunc"
-   set optimbis=" -Psia -Aa -Wv,-m3 -Wp,-DVPP -Z $LMDGCM/listage"
-   set optim90="$optim""$optimbis"" -X9 -w"
-   set opt_link="-L$IOIPSLDIR -lioipsl  -L$NCDFLIB -lnetcdf"
-   set oplink=" "
+#   set optim="-Dasuxm  -On, -g -Ad -Potilax -Eciplume -Si"
+#   set optimbis="  -Wv,-m3 -Wp,-DVPP -Z $LMDGCM/listage"
+   set optimbis=" -Wp,-DNC_DOUBLE -Ad -Z $LMDGCM/listage"
+   set optim90="$optim $optimbis -X9 -w"
+   if $COUPLE then
+     set opt_link="-Wg,-c $IOIPSLDIR/liboasis2.4_mpi2.a /usr/lang/mpi2/lib64/libmpi.a /usr/lang/mpi2/lib64/libmp.a /usr/local/lib/lib64/libnetcdf_cc.a -L$IOIPSLDIR -lioipsl"
+     set oplink="-Wl,-t,-P,-dy "
+   else
+     set opt_link="-Wg,-c /usr/local/lib/lib64/libnetcdf_cc.a -L$IOIPSLDIR -lioipsl"
+     set oplink="-Wl,-t,-dy "
+   endif
    set mod_loc_dir=$IOIPSLDIR
    set mod_suffix=mod
@@ -159,15 +200,34 @@
    set optim="-fast "
    set optim90=" -fast -module $libo"
+   set optimtru90=" -fast -c -Mfree -module /d3/fairhead/sechiba/ioipsl"
    set opt_link=" -Mfree -L/usr/local/pgi/linux86/lib -lpgf90 -lpgftnrtl -lpghpf -lpghpf2 -L$NCDFLIB -lnetcdf -L$IOIPSLDIR -lioipsl -Wl,-Bstatic "
    set mod_loc_dir=$IOIPSLDIR
    set mod_suffix=mod
 else if $NEC then
-set optim90=' -C hopt -float0 -ew -R4 -L nostdout -Wf,"-pvctlfullmsg noassume loopcnt=150000 -L transform"'
-   set optim90=' -C hopt -float0 -ew -R4 -L nostdout '
+   set optim90=' -clear -C hopt -float0 -ew -P static -Wf,"-pvctl fullmsg noassume "'
+   set optimtru90=' -clear -f4 -C hopt -float0 -ew -P static -Wf,"-pvctl fullmsg noassume "'
    set optim="$optim90"
-   set opt_link="-L/u/rech/ces/rces011/ioipsl"
    set optimbis=" "
-   set mod_loc_dir=" "
-   set mod_suffix=" "
+   set opt_link=" -C hopt -float0 -ew -P static -L$IOIPSLDIR -lioipsl  -L/u/rech/psl/rpsl003/IOIPSL -lnetcdf_i8r8_v "
+   set mod_loc_dir="."
+   set mod_suffix="mod"
+else if $XNEC then
+   set optim90=' -clear -R5 -C vopt -float0 -ew -P static -Wf,"-pvctl loopcnt=40000 fullmsg noassume "'
+   set optimtru90=' -clear -R5 -f4 -C vopt -float0 -ew -P static -Wf,"-pvctl loopcnt=40000 fullmsg noassume "'
+   set optim="$optim90"
+   set optimbis=" "
+   if $MODIPSL then
+     if $COUPLE then
+       set opt_link="-L$IOIPSLDIR -lsxioipsl -loasis2.4_mpi2 -float0 -ew -P static -I$NCDFINC $NCDFLIB "
+     else
+       set opt_link="-L$IOIPSLDIR -lsxioipsl -float0 -ew -P static -I$NCDFINC $NCDFLIB "
+     endif
+     set mod_loc_dir="./"
+   else
+     set opt_link=" -C hopt -float0 -ew -P static -L$IOIPSLDIR -lsxioipsl -L /u/rech/psl/rpsl003/IOIPSL -lnetcdf_i8r8_v -I$NCDFINC "
+     set mod_loc_dir="."
+   endif
+   set mod_suffix="mod"
+
 else
    set optim=""
@@ -316,5 +376,5 @@
 
      case -link
-        set opt_link="$2" ; shift ; shift ; goto top
+        set opt_link="$opt_link $2" ; shift ; shift ; goto top
 
      case -debug
@@ -325,4 +385,5 @@
            set optim=" -g -C "
            set optim90=" -fixed -g "
+           set optimtru90=" -free -g "
         else if $CRAY then
            set optim="$optim"" -g "
@@ -342,4 +403,6 @@
    endsw
 endif
+
+echo apres les opts dim $dim
 
 ########################################################################
@@ -388,7 +451,11 @@
    set nomlib=DEC
 endif
+echo dimension avant sed $dim
 if ( $IBM ) then
    set dim=`echo $dim | sed -en 's/[^0-9]/ /g'`
    set dim_=`echo $dim | sed -en 's/[^0-9]/_/g'`
+else if ( $SUN || $XNEC ) then
+   set dim=`echo $dim | sed -e 's/[^0-9]/ /g'` 
+   set dim_=`echo $dim | sed -e 's/[^0-9]/_/g'`
 else
    set dim=`echo $dim | sed -n -e 's/[^0-9]/ /gp'`
@@ -400,5 +467,5 @@
     set nomlib=F90_${dim_}_t${ntrac}
 endif
-if ( $NEC ) then
+if ( $NEC || $XNEC ) then
     set nomlib=F90_${dim_}_t${ntrac}
 endif
@@ -457,5 +524,5 @@
 
 set dimension=`echo $dim | wc -w`
-echo dimension $dimension
+echo dimension $dimension dim $dim
 if ( $dimension == 1 ) then
 echo pas de dynamique
@@ -515,4 +582,5 @@
 find libf -name '*.[Fh]' -print >! tmp77
 find libf -name '*.[Fh]' -exec egrep -i " *use *ioipsl" {} \; -print >! tmp90
+find libf -name '*.[Fh]90' -print >> tmp90
 
 if (    `diff tmp77 liste_des_sources_f77 | wc -w` \
@@ -554,5 +622,5 @@
    set f90=f90
 else if $LINUX then
-   set f77=pgf77
+   set f77=pgf90
    set f90=pgf90
 else if $SUN then
@@ -560,6 +628,9 @@
    set f90=f90
 else if $NEC then
-   set f77=sxf90
-   set f90=sxf90
+   set f77=f90
+   set f90=f90
+else if $XNEC then
+   set f77=sxmpif90
+   set f90=sxmpif90
 else
    set f77=f77
@@ -577,4 +648,7 @@
 else if $LINUX then
 set make="make -k RANLIB=ranlib"
+else if $XNEC then
+set make="/usr/local/bin/gmake RANLIB=ls"
+set make="/usr/freeware/bin/gmake RANLIB=ls"
 else
 set make="make RANLIB=ranlib"
@@ -582,11 +656,4 @@
 
 
-
-set link="$f90 $optim90"
-
-if $NEC then
-  set link="sxld $opt_link"
-  set ar=sxar
-endif
 
 #
@@ -623,6 +690,6 @@
      exit                       
    endif
-   set optim=" -Ad -Wv,-Of,-ilfunc"
-   set optimbis=" -Psia -Aa -Wv,-m3 -Wp,-DVPP,-DNC_DOUBLE -Z $LMDGCM/listage"
+   set optim=" -Wv,-Of,-ilfunc"
+   set optimbis=" -Psia -Aa -Wv,-m3 -Wp,-DVPP -Z $LMDGCM/listage"
    set optim90="$optim""$optimbis"" -X9 -w"
    set opt_link="-L$IOIPSLDIR -lioipsl -L$NCDFLIB -lnetcdf"
@@ -631,4 +698,10 @@
 endif
 
+#
+# etat0_netcdf a besoin d'info de la physique
+# A revoir
+set include="$include"' -I$(LIBF)/phylmd'
+
+
 #################################################################
 # Execution de la comande make... ENFIN!
@@ -637,21 +710,44 @@
 if $VPP then
   set optim90=" $optim90 -Am -M$libo"
+  set optimtru90="$optim90"
  \cp $IOIPSLDIR/*.mod $libo
 else if $SUN then
- set optim90=" $optim90 -M$IOIPSLDIR -M$libo "
+ set optim90=" $optim90 -M$libo "
+ set optimtru90=" $optimtru90 -M$libo "
  set optim="$optim90"
+ \cp /d3/fairhead/sechiba_sun/parameters/*.mod $libo
+ \cp /d3/fairhead/sechiba_sun/sechiba/*.mod $libo
+ \cp /d3/fairhead/sechiba_sun/stomate/*.mod $libo
  \cp $IOIPSLDIR/*.mod $libo
+else if $NEC then
+ set optim90=" $optim90 -I$libo "
+else if $XNEC then
+ set optim90=" $optim90 -I$libo "
+ set optimtru90=" $optimtru90 -I$libo "
 else if $LINUX then
  set optim90=" -fast -module $libo "
+ set optim="$optim90"
  set mod_loc_dir=$libo
+ \cp /d3/fairhead/sechiba/ioipsl/*.mod $libo
  \cp $IOIPSLDIR/*.mod $libo
 endif
 
+set link="$f90 $optim90"
+
+set ar=ar
+
+if $XNEC then
+  set link="sxld $opt_link"
+  set link="$f90 "
+#  set ar=sxar
+endif
+
+
 cd $localdir
-
 
 echo $make -f $LMDGCM/makefile \
 OPTION_DEP="$opt_dep" OPTION_LINK="$opt_link" \
 OPTIM90="$optim90" \
+OPTIMTRU90="$optimtru90" \
 OPTIM="$optim$optimbis" \
 INCLUDE="$include" \
@@ -670,4 +766,5 @@
 MOD_LOC_DIR=$mod_loc_dir \
 MOD_SUFFIX=$mod_suffix \
+AR=$ar \
 PROG=$code
 
@@ -675,4 +772,5 @@
 OPTION_DEP="$opt_dep" OPTION_LINK="$opt_link" \
 OPTIM90="$optim90" \
+OPTIMTRU90="$optimtru90" \
 OPTIM="$optim$optimbis" \
 INCLUDE="$include" \
@@ -691,5 +789,10 @@
 MOD_LOC_DIR=$mod_loc_dir \
 MOD_SUFFIX=$mod_suffix \
+AR=$ar \
 PROG=$code
 
 \rm $libf/grid/dimensions.h
+if $MODIPSL then
+  \cp libf/phylmd/oasis.F libf/phylmd/oasis.true
+  \cp libf/phylmd/oasis.dummy libf/phylmd/oasis.F
+endif
Index: LMDZ.3.3/branches/rel-1-0-patch/run.def
===================================================================
--- LMDZ.3.3/branches/rel-1-0-patch/run.def	(revision 253)
+++ LMDZ.3.3/branches/rel-1-0-patch/run.def	(revision 253)
@@ -0,0 +1,161 @@
+
+----------------------------------------------------------------------- 
+Parametres de controle du run:                                          
+------------------------------                                          
+
+- Jour de l'etat initial ( = 350  si 20 Decembre ,par expl. ,comme ici )
+   dayref
+ 110
+
+-  Annee de l'etat  initial (   avec  4  chiffres   )
+   anneeref
+ 1988
+
+- Nombre de jours d'integration                                         
+    nday
+  1
+
+- nombre de pas par jour (multiple de iperiod)  ( ici , dt= 10 secondes ) 
+ day_step
+ 8640
+
+- periode pour le pas Matsuno (en pas)                                  
+ iperiod
+  5
+
+- periode de sortie des variables de controle (en pas)                 
+ iconser
+  20
+
+- periode d'ecriture du fichier histoire (en jour)                      
+   iecri
+  100
+
+- periode de stockage fichier histmoy (en jour)                         
+ periodav
+  30
+
+- periode de la dissipation (en pas)
+  idissip
+ 5
+
+- choix de l'operateur de dissipation (star ou  non star )
+  lstardis
+  T
+  
+- nombre d'iterations de l'operateur de dissipation   gradiv 
+  nitergdiv
+  1
+
+- nombre d'iterations de l'operateur de dissipation  nxgradrot
+  nitergrot
+  2
+
+- nombre d'iterations de l'operateur de dissipation  divgrad
+  niterh
+  2
+
+- temps de dissipation des plus petites long.d ondes pour u,v (gradiv)
+  tetagdiv
+  1700.
+
+- temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+  tetagrot
+  1700.
+
+- temps de dissipation des plus petites long.d ondes pour  h ( divgrad)
+  tetatemp
+  1700.
+
+- coefficient pour gamdissip
+ coefdis
+  0.
+
+- choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog)
+  purmats
+ F
+
+- avec ou sans physique
+   physic
+ T
+
+- periode de la physique (en pas)  ( toutes les 30 minutes )
+ iphysiq
+  180
+
+- frequence (en  jours ) de l'ecriture du fichier histphy               
+  ecritphy
+  1.
+
+-  Cycle diurne  ou non
+ cycle_diurne
+ T
+
+-  Soil Model  ou non
+ soil_model
+ F
+
+-  Choix ou non  de  New oliq
+ new_oliq
+ T
+
+-  Orodr  ou  non   pour l orographie
+  ok_orodr
+ F
+
+-  Orolf  ou  non   pour l orographie
+  ok_orolf
+ F
+
+-   Si = .T. ,  lecture du fichier limit avec la bonne annee
+  ok_limitvrai
+ T
+
+- Nombre  d'appels des routines de rayonnements ( par jour)
+  nbapp_rad
+ 12
+
+-  Flag  pour la convection ( 1 pour LMD,  2 pour Tiedtke, 3  CCM )
+  iflag_con
+ 2
+
+- longitude en degres du centre du zoom
+  clon
+ 75.
+
+ latitude en degres du centre du zoom
+  clat
+ 15.
+
+- facteur de grossissement du zoom,selon longitude
+  grossismx
+  1.0
+
+- facteur de grossissement du zoom ,selon latitude
+  grossismy
+  1.0
+
+-  Fonction  f(y)  hyperbolique ( si .true. )  ou   sinusoidale
+ fxyhypb
+  T
+
+- extension en longitude  de la zone du zoom ( en degres ) ou fraction( <1 ) 
+   dzoomx
+ 0.0
+
+- extension en latitude de la zone  du zoom ( en degres ) ou fraction( <1 )
+   dzoomy
+ 0.0 
+
+-  raideur du zoom en  X
+    taux
+ 3.
+
+-  raideur du zoom en  Y
+    tauy
+ 3.
+
+-  Fonction  f(y) avec y = Sin(latit.) si = .TRUE. ,  Sinon  y = latit.
+  ysinus
+  T
+
